> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert a column description

> Creates or updates the description for a single column.



## OpenAPI

````yaml /api-reference/catalog-api.json patch /catalog/columns
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /catalog/columns:
    patch:
      tags:
        - catalog
      summary: Upsert a column description
      description: Creates or updates the description for a single column.
      operationId: patch_column_metadata_catalog_columns_patch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchColumnMetadataRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Patch Column Metadata Catalog Columns Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatchColumnMetadataRequest:
      properties:
        layer:
          type: string
          title: Layer
        connector:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector
        table:
          type: string
          title: Table
        column:
          type: string
          title: Column
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - layer
        - table
        - column
      title: PatchColumnMetadataRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````